// gridview.cpp : implementation file
//

/*-----------------------------------------------------------------------------
//
//      Disclaimer
//
//      You may freely copy, distribute and reuse this software and its
//      associated documentation. WorldCom Network Services, Inc.
//      disclaims any warranty of any kind, expressed or implied, as to its
//      fitness for any particular use, and cannot be held liable for any
//      damages as the result of its use.
//
-----------------------------------------------------------------------------*/

#include "stdafx.h"
#include "gridtest.h"
#include "gridview.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGridView

IMPLEMENT_DYNCREATE(CGridView, CView)

CGridView::CGridView()
: m_Grid(100, 5)
{
}

CGridView::~CGridView()
{
}


BEGIN_MESSAGE_MAP(CGridView, CView)
	//{{AFX_MSG_MAP(CGridView)
	ON_WM_SIZE()
	ON_WM_CREATE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CGridView drawing

void CGridView::OnDraw(CDC* pDC)
{
	CDocument* pDoc = GetDocument();
	// TODO: add draw code here
}

/////////////////////////////////////////////////////////////////////////////
// CGridView message handlers
 

void CGridView::OnSize(UINT nType, int cx, int cy)
{
	CView::OnSize(nType, cx, cy);
	
	if (m_Grid.GetSafeHwnd())
		m_Grid.MoveWindow(0,0, cx, cy);
	
}

int CGridView::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CView::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	// TODO: Add your specialized creation code here
	CRect R;
	GetClientRect(&R);
	m_Grid.Create(R, this, 101);
	
	return 0;
}
