// gridtvw.h : interface of the CGridtestView class
//
/////////////////////////////////////////////////////////////////////////////

/*-----------------------------------------------------------------------------
//
//      Disclaimer
//
//      You may freely copy, distribute and reuse this software and its
//      associated documentation. WorldCom Network Services, Inc.
//      disclaims any warranty of any kind, expressed or implied, as to its
//      fitness for any particular use, and cannot be held liable for any
//      damages as the result of its use.
//
-----------------------------------------------------------------------------*/


class CGridtestView : public CFormView
{
protected: // create from serialization only
	CGridtestView();
	DECLARE_DYNCREATE(CGridtestView)

public:
	//{{AFX_DATA(CGridtestView)
	enum { IDD = IDD_GRIDTEST_FORM };
	CString	m_strEdit;
	//}}AFX_DATA

// Attributes
public:
	CGridtestDoc* GetDocument();

// Operations
public:

// Implementation
public:
	virtual ~CGridtestView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Generated message map functions
protected:
	//{{AFX_MSG(CGridtestView)
	afx_msg void OnButton1();
//	afx_msg void OnButton2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	
	void OnInitialUpdate();
	
	CCellGrid m_Grid;
};

#ifndef _DEBUG  // debug version in gridtvw.cpp
inline CGridtestDoc* CGridtestView::GetDocument()
   { return (CGridtestDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
